--Перекидываем ссылку на договор электроснабжения из ЭПУ в Объект электроснабжения. 
ALTER TABLE ConsumingObjects add SupplyContractID int
GO
update ConsumingObjects
set SupplyContractID = 
(select SupplyContractID from Потребитель 
inner join ConsumingObjectConsumers on Потребитель.Код_потребителя = ConsumingObjectConsumers.ConsumerID
where ConsumingObjects.ID = ConsumingObjectConsumers.ConsumingObjectID and Потребитель.SupplyContractID is not null)
GO
declare @table_name nvarchar(50)
declare @strSQL nvarchar(1024)

set @table_name=N'Потребитель'
set @strSQL=''
select @strSQL = @strSQL + ' ALTER TABLE ' + @table_name + ' DROP CONSTRAINT '+ object_name(FK_Tab.id) 
from sysobjects FK_Tab 
where (xtype = 'F') AND object_id(@table_name)=parent_obj
if @strSQL<>''  exec (@strSQL)
GO
alter table Потребитель drop column SupplyContractID
alter table SupplyContracts add EnergoCompanyID	int
alter table SupplyContracts add ContractDate	datetime
alter table Организация add Является_продавцом_электроэнергии bit
GO
ALTER TABLE ConsumingObjects 
	ADD FOREIGN KEY (SupplyContractID)
				REFERENCES SupplyContracts
ALTER TABLE SupplyContracts 
	ADD FOREIGN KEY (EnergoCompanyID) 
		REFERENCES Организация(Код_организации)

GO
ALTER TABLE Потребитель WITH NOCHECK
        ADD FOREIGN KEY (Код_потребителя)
                              REFERENCES Объект
                              ON DELETE CASCADE
